import { Observable } from 'rxjs';
export declare class NavItemService {
    private parent;
    expand: Observable<boolean>;
    hasMenu: Observable<boolean>;
    linksActive: Observable<boolean>;
    private openEvent;
    private hasMenuEvent;
    private linksActiveEvent;
    constructor(parent: NavItemService);
    changeExpandStatus(state: boolean): void;
    publishLinkActiveStatus(b: boolean): void;
    expandParent(): void;
    publishMenu(b: boolean): void;
}
